curl --request GET \
--url https://app.leonar.app/api/v1/companies/{id}/deals \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "c3d4e5f6-7890-12ab-cdef-345678901bcd",
"title": "Recruitment - 3 Senior Engineers",
"status": "open",
"amount": 45000,
"signed_amount": null,
"currency": "EUR",
"expected_amount": 45000,
"expected_close_date": "2025-03-15",
"probability": 60,
"pipeline_id": "d4e5f6a7-8901-23bc-defa-456789012cde",
"stage_id": "e5f6a7b8-9012-34cd-efab-567890123def",
"company_id": "b2c3d4e5-6789-01ab-cdef-234567890abc",
"owner_id": "f6a7b8c9-0123-45de-fabc-678901234ef0",
"closed_at": null,
"created_at": "2025-02-01T10:00:00Z",
"updated_at": "2025-02-10T15:30:00Z",
"archived_at": null
}
],
"meta": {
"total": 142,
"limit": 50,
"offset": 0,
"has_more": true
}
}curl --request GET \
--url https://app.leonar.app/api/v1/companies/{id}/deals \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "c3d4e5f6-7890-12ab-cdef-345678901bcd",
"title": "Recruitment - 3 Senior Engineers",
"status": "open",
"amount": 45000,
"signed_amount": null,
"currency": "EUR",
"expected_amount": 45000,
"expected_close_date": "2025-03-15",
"probability": 60,
"pipeline_id": "d4e5f6a7-8901-23bc-defa-456789012cde",
"stage_id": "e5f6a7b8-9012-34cd-efab-567890123def",
"company_id": "b2c3d4e5-6789-01ab-cdef-234567890abc",
"owner_id": "f6a7b8c9-0123-45de-fabc-678901234ef0",
"closed_at": null,
"created_at": "2025-02-01T10:00:00Z",
"updated_at": "2025-02-10T15:30:00Z",
"archived_at": null
}
],
"meta": {
"total": 142,
"limit": 50,
"offset": 0,
"has_more": true
}
}API key starting with leo_
Company ID
Items per page
1 <= x <= 100Items to skip
x >= 0